module.exports = {
  env: {
    browser: true,
    es2021: true,
  },
  extends: ['standard', 'plugin:eslint-comments/recommended', 'prettier'],
  parser: '@typescript-eslint/parser',
  parserOptions: {
    ecmaVersion: 13,
    sourceType: 'module',
  },
  plugins: ['@typescript-eslint', 'import', 'sort-exports'],
  rules: {
    'no-duplicate-imports': 'error',
    'no-console': 'warn',
    'sort-imports': [
      'error',
      {
        ignoreDeclarationSort: true,
      },
    ],
    'sort-exports/sort-exports': [
      'error',
      { sortDir: 'asc', ignoreCase: true, sortExportKindFirst: 'type' },
    ],
    'no-multiple-empty-lines': [
      'error',
      {
        max: 1,
        maxEOF: 1,
      },
    ],
    'no-unused-vars': ['off'],
    'no-shadow': 'off',
    'no-useless-constructor': 'off',
    '@typescript-eslint/no-shadow': 'warn',
    '@typescript-eslint/no-unused-vars': [
      'warn',
      {
        argsIgnorePattern: '^_',
      },
    ],
    'import/newline-after-import': ['error', { count: 1 }],
    'prefer-template': 'error',
    'object-shorthand': 'error',
    'eslint-comments/no-unused-disable': 'error',
    'eslint-comments/disable-enable-pair': 'off',
  },
  settings: {
    'import/resolver': {
      'eslint-import-resolver-custom-alias': {
        alias: {
          '@/': './src/',
        },
        extensions: ['.js', '.svg', '.tsx', '.ts'],
      },
    },
  },
  overrides: [
    {
      files: ['src/**/*.{entity,schema,seeder}.ts'],
      rules: {
        'sort-exports/sort-exports': 'off',
      },
    },
  ],
}
