const { execSync } = require('child_process')

// Check for changes in YAML files
const hasYAMLChanges = () => {
  try {
    const output = execSync('git diff --cached --name-only --diff-filter=ACM "*.yml" "*.yaml"')
    return output.toString().trim() !== ''
  } catch (error) {
    return false
  }
}

// Run Redocly lint if there are YAML changes
if (hasYAMLChanges()) {
  try {
    execSync('yarn docs:lint', { stdio: 'inherit' })
  } catch (error) {
    process.exit(1)
  }
}
