import Router from 'express-promise-router'
import { adminAuthMiddleware } from '../middlewares/admin-auth.middleware'
import { AdminAuthValidationSchema } from '../validation-schemas/admin-auth.validation-schema'
import { AdminAuthController } from '../controllers/admin-auth.controller'

export const adminAuthRouter = Router()
  .post('/sign-in', AdminAuthValidationSchema.signIn, AdminAuthController.signIn)
  .post('/sign-out', adminAuthMiddleware, AdminAuthController.signOut)
