import { authMiddleware } from '@/core/api/middlewares/auth.middleware'
import { Role } from '@/libs/infrastructure/persistance/seeders/dev.seeder'
import Router from 'express-promise-router'
import { FormTemplateValidationSchema } from '../validation-schemas/form-template.validation-schema'
import { FormTemplateController } from '../controllers/form-template.controller'

export const formTemplateRouter = Router()
  .patch(
    '/',
    authMiddleware([Role.adminEmployee, Role.vendorEmployee]),
    FormTemplateValidationSchema.update,
    FormTemplateController.update
  )
  .get(
    '/',
    authMiddleware([Role.adminEmployee, Role.vendorEmployee, Role.customer]),
    FormTemplateController.show
  )
