@form-template @update

Feature: Update form template


  Scenario Outline: Update existing form template success
    Given I log in as "<role>"
    When I send a PATCH request to "/form-template" with body:
      """
      {
        "fields": [
          {
            "id": "2497cf38-f837-4a54-86b5-d04f050ed2af",
            "label": "Origen",
            "placeholder": "Ingrese origen",
            "order": 1,
            "span": 24,
            "type": "text",
            "isRequired": true,
            "isDefault": true
          },
          {
            "id": "4c698dd5-d7d1-47e7-ab10-809562731c7a",
            "label": "Peso",
            "placeholder": "Ingrese peso",
            "order": 2,
            "span": 24,
            "type": "number",
            "isRequired": true,
            "isDefault": true
          },
          {
            "id": "d55c531c-6324-498a-a2af-8ae7e68b2a28",
            "label": "Destino",
            "placeholder": "Ingrese destino",
            "order": 3,
            "span": 24,
            "type": "text",
            "isRequired": true,
            "isDefault": true
          },
          {
            "id": "caeff8f9-c27e-4d87-b7ce-4c5879be2f85",
            "label": "Distancia (km)",
            "placeholder": "Ingrese distancia",
            "order": 4,
            "span": 24,
            "type": "number",
            "isRequired": true,
            "isDefault": true
          },
          {
            "id": "d1b92b4f-8cb0-4d5e-92ae-76fbce49e53c",
            "label": "Volumen (m³)",
            "placeholder": "Ingrese volumen",
            "order": 5,
            "span": 24,
            "type": "number",
            "isRequired": true,
            "isDefault": true
          },
          {
            "id": "78f3083f-4e05-4717-8d06-eb46d4d077ac",
            "label": "Some random field",
            "placeholder": "Ingrese fragilidad",
            "order": 7,
            "span": 24,
            "isRequired": true,
            "isDefault": false,
            "type": "text"
          },
          {
            "id": "598466f3-94e8-4af1-a17a-61ac66d94aa2",
            "label": "Seguro ($)",
            "placeholder": "Ingrese seguro",
            "order": 8,
            "span": 24,
            "isRequired": false,
            "isDefault": false,
            "type": "number"
          },
          {
            "id": "87c69288-757c-42aa-8e3a-1a890534457f",
            "label": "Presupuesto ($)",
            "placeholder": "Ingrese Presupuesto",
            "order": 10,
            "span": 24,
            "isRequired": true,
            "isDefault": false,
            "type": "number"
          }
        ]
      }
      """
    Then I get a status code 200
    And I get a response body with:
      """
      {
        "fields": [
          {
            "id": "2497cf38-f837-4a54-86b5-d04f050ed2af",
            "label": "Origen",
            "placeholder": "Ingrese origen",
            "order": 1,
            "span": 24,
            "type": "text",
            "isRequired": true,
            "isDefault": true
          },
          {
            "id": "4c698dd5-d7d1-47e7-ab10-809562731c7a",
            "label": "Peso",
            "placeholder": "Ingrese peso",
            "order": 2,
            "span": 24,
            "type": "number",
            "isRequired": true,
            "isDefault": true
          },
          {
            "id": "d55c531c-6324-498a-a2af-8ae7e68b2a28",
            "label": "Destino",
            "placeholder": "Ingrese destino",
            "order": 3,
            "span": 24,
            "type": "text",
            "isRequired": true,
            "isDefault": true
          },
          {
            "id": "caeff8f9-c27e-4d87-b7ce-4c5879be2f85",
            "label": "Distancia (km)",
            "placeholder": "Ingrese distancia",
            "order": 4,
            "span": 24,
            "type": "number",
            "isRequired": true,
            "isDefault": true
          },
          {
            "id": "d1b92b4f-8cb0-4d5e-92ae-76fbce49e53c",
            "label": "Volumen (m³)",
            "placeholder": "Ingrese volumen",
            "order": 5,
            "span": 24,
            "type": "number",
            "isRequired": true,
            "isDefault": true
          },
          {
            "id": "78f3083f-4e05-4717-8d06-eb46d4d077ac",
            "label": "Some random field",
            "placeholder": "Ingrese fragilidad",
            "order": 7,
            "span": 24,
            "isRequired": true,
            "isDefault": false,
            "type": "text"
          },
          {
            "id": "598466f3-94e8-4af1-a17a-61ac66d94aa2",
            "label": "Seguro ($)",
            "placeholder": "Ingrese seguro",
            "order": 8,
            "span": 24,
            "isRequired": false,
            "isDefault": false,
            "type": "number"
          },
          {
            "id": "87c69288-757c-42aa-8e3a-1a890534457f",
            "label": "Presupuesto ($)",
            "placeholder": "Ingrese Presupuesto",
            "order": 10,
            "span": 24,
            "isRequired": true,
            "isDefault": false,
            "type": "number"
          }
        ]
      }
      """
    Examples:
      | role            |
      | admin employee  |
      | vendor employee |


  Scenario Outline: Update existing form template fail
    Given I log in as "<role>"
    When I send a PATCH request to "/form-template" with body:
      """
      {
        "fields": [
          {
            "id": "4c698dd5-d7d1-47e7-ab10-809562731c7a",
            "label": "Peso",
            "placeholder": "Ingrese peso",
            "order": 2,
            "span": 24,
            "type": "number",
            "isRequired": true,
            "isDefault": true
          },
          {
            "id": "d55c531c-6324-498a-a2af-8ae7e68b2a28",
            "label": "Destino",
            "placeholder": "Ingrese destino",
            "order": 3,
            "span": 24,
            "type": "text",
            "isRequired": true,
            "isDefault": true
          },
          {
            "id": "caeff8f9-c27e-4d87-b7ce-4c5879be2f85",
            "label": "Distancia (km)",
            "placeholder": "Ingrese distancia",
            "order": 4,
            "span": 24,
            "type": "number",
            "isRequired": true,
            "isDefault": true
          },
          {
            "id": "d1b92b4f-8cb0-4d5e-92ae-76fbce49e53c",
            "label": "Volumen (m³)",
            "placeholder": "Ingrese volumen",
            "order": 5,
            "span": 24,
            "type": "number",
            "isRequired": true,
            "isDefault": true
          },
          {
            "id": "78f3083f-4e05-4717-8d06-eb46d4d077ac",
            "label": "Some random field",
            "placeholder": "Ingrese fragilidad",
            "order": 7,
            "span": 24,
            "isRequired": true,
            "isDefault": false,
            "type": "text"
          },
          {
            "id": "598466f3-94e8-4af1-a17a-61ac66d94aa2",
            "label": "Seguro ($)",
            "placeholder": "Ingrese seguro",
            "order": 8,
            "span": 24,
            "isRequired": false,
            "isDefault": false,
            "type": "number"
          },
          {
            "id": "87c69288-757c-42aa-8e3a-1a890534457f",
            "label": "Presupuesto ($)",
            "placeholder": "Ingrese Presupuesto",
            "order": 10,
            "span": 24,
            "isRequired": true,
            "isDefault": false,
            "type": "number"
          }
        ]
      }
      """
    Then I get a status code 400

    Examples:
      | role            |
      | admin employee  |
      | vendor employee |
