import { Injectable } from '@/core/api/di/decorators'
import { RequestContext } from '@/libs/domain/contexts/request.context'
import { OrderEntity } from '@/libs/domain/entities/tenant/order.entity'
import { OrderRepository } from '@/libs/domain/repositories/tenant/order.repository'

@Injectable()
export class ShowOrderUseCase {
  constructor(private readonly orderRepository: OrderRepository) {}

  async run(id: string, { tenant }: RequestContext): Promise<OrderEntity> {
    const order = await this.orderRepository.findOne({ id }, tenant.id)

    return order!
  }
}
