import { Injectable } from '@/core/api/di/decorators'
import { RequestContext } from '@/libs/domain/contexts/request.context'
import { TransportCompanyEntity } from '@/libs/domain/entities/tenant/transport-company.entity'
import { TransportCompanyRepository } from '@/libs/domain/repositories/tenant/transport-company.repository'

@Injectable()
export class CreateTransportCompanyUseCase {
  constructor(private readonly transportCompanyRepository: TransportCompanyRepository) {}

  async run(
    payload: TransportCompanyEntity,
    { tenant }: RequestContext
  ): Promise<TransportCompanyEntity> {
    const transportCompany = await this.transportCompanyRepository.save({ ...payload }, tenant.id)

    return transportCompany
  }
}
