import { Injectable } from '@/core/api/di/decorators'
import { RequestContext } from '@/libs/domain/contexts/request.context'
import { OffsetCriteria } from '@/libs/domain/criteria/criteria'
import { TransportCompanyEntity } from '@/libs/domain/entities/tenant/transport-company.entity'
import { TransportCompanyRepository } from '@/libs/domain/repositories/tenant/transport-company.repository'

@Injectable()
export class ListTransportCompaniesUseCase {
  constructor(private readonly transportCompanyRepository: TransportCompanyRepository) {}

  async run(
    criteria: OffsetCriteria,
    { tenant }: RequestContext
  ): Promise<{ total: number; results: TransportCompanyEntity[] }> {
    const response = await this.transportCompanyRepository.findByOffsetCriteria(criteria, tenant.id)

    return response
  }
}
