import { Injectable } from '@/core/api/di/decorators'
import { RequestContext } from '@/libs/domain/contexts/request.context'
import { TransportCompanyEntity } from '@/libs/domain/entities/tenant/transport-company.entity'
import { TransportCompanyRepository } from '@/libs/domain/repositories/tenant/transport-company.repository'

@Injectable()
export class ShowTransportCompanyUseCase {
  constructor(private readonly transportCompanyRepository: TransportCompanyRepository) {}

  async run(id: string, { tenant }: RequestContext): Promise<TransportCompanyEntity> {
    const transportCompany = await this.transportCompanyRepository.findOne(
      {
        id,
      },
      tenant.id
    )
    return transportCompany!
  }
}
