import { Injectable } from '@/core/api/di/decorators'
import { UserRepository } from '../../../domain/repositories/tenant/user.repository'
import { BadRequestException } from '../../../domain/errors'
import { RequestContext } from '../../../domain/contexts/request.context'

@Injectable()
export class ValidateUserEmailUseCase {
  constructor(private readonly userRepository: UserRepository) {}

  async run(email: string, { tenant }: RequestContext): Promise<void> {
    const user = await this.userRepository.findOne({ email }, tenant.id)

    if (user) {
      throw new BadRequestException('El correo electronico se encuentra en uso.')
    }
  }
}
