export class BadRequestException extends Error {
  constructor(message: string) {
    // Pass remaining arguments (including vendor specific ones) to parent constructor
    super(message)

    Object.setPrototypeOf(this, BadRequestException.prototype)
    // Maintains proper stack trace for where our error was thrown (only available on V8)
    if (Error.captureStackTrace) {
      Error.captureStackTrace(this, BadRequestException)
    }

    this.name = 'BadRequestException'
    // Custom debugging information
  }
}
