export class UnauthorizedException extends Error {
  constructor() {
    // Pass remaining arguments (including vendor specific ones) to parent constructor
    super('Unauthorized')

    Object.setPrototypeOf(this, UnauthorizedException.prototype)
    // Maintains proper stack trace for where our error was thrown (only available on V8)
    if (Error.captureStackTrace) {
      Error.captureStackTrace(this, UnauthorizedException)
    }

    this.name = 'UnauthorizedException'
    // Custom debugging information
  }
}
