import bcrypt from 'bcrypt'

export class EncryptHelper {
  static async hash(text: string) {
    const salt = await bcrypt.genSalt()
    return bcrypt.hash(text, salt)
  }

  static async compare(text: string, hashedText: string) {
    return bcrypt.compare(text, hashedText)
  }
}
