import { parseISO } from 'date-fns'

export class ParseHelper {
  static parseDate(date: string): Date {
    return parseISO(date)
  }

  static parsePrimitive(value: any): number | string | Date | boolean {
    if (typeof value === 'string' && ParseHelper.isDate(value)) {
      return ParseHelper.parseDate(value)
    }

    return value
  }

  static isDate(value: any) {
    return parseISO(value).toString() !== 'Invalid Date'
  }

  static isPrimitive(value: any): boolean {
    return Boolean(['boolean', 'string', 'number'].includes(typeof value) || value instanceof Date)
  }

  static isNotPrimitive(value: any): boolean {
    return !ParseHelper.isPrimitive(value)
  }

  static areSameType(array: any[]) {
    return new Set(array.map(x => typeof x)).size <= 1
  }
}
