import { DefaultFieldEntity } from '@/libs/domain/entities/master/default-field.entity'
import { TypeOrmBaseMasterRepository } from './_typeorm-base-master.repository'
import { DefaultFieldRepository } from '@/libs/domain/repositories/master/default-field.repository'
import { EntitySchema } from 'typeorm'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { defaultFieldSchema } from '../../schemas/master/default-field.schema'
import { Injectable } from '@/core/api/di/decorators'

@Injectable()
export class TypeOrmDefaultFieldRepository
  extends TypeOrmBaseMasterRepository<DefaultFieldEntity>
  implements DefaultFieldRepository
{
  protected getSchema(): EntitySchema<DefaultFieldEntity> {
    return defaultFieldSchema
  }

  protected getRelations(): Relations<DefaultFieldEntity> {
    return {
      category: true,
    }
  }

  protected getFindOneOptions(): FindOneOptions<DefaultFieldEntity> {
    return {}
  }

  protected getFindOptions(): FindOptions<DefaultFieldEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<DefaultFieldEntity> {
    return {}
  }
}
