import { EntitySchema } from 'typeorm'

import { Injectable } from '@/core/api/di/decorators'
import { TypeOrmBaseMasterRepository } from './_typeorm-base-master.repository'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { TenantRepository } from '@/libs/domain/repositories/master/tenant.repository'
import { TenantEntity } from '@/libs/domain/entities/master/tenant.entity'
import { tenantSchema } from '../../schemas/master/tenant.schema'

@Injectable()
export class TypeOrmTenantRepository
  extends TypeOrmBaseMasterRepository<TenantEntity>
  implements TenantRepository
{
  protected getSchema(): EntitySchema<TenantEntity> {
    return tenantSchema
  }

  protected getRelations(): Relations<TenantEntity> {
    return {}
  }

  protected getFindOneOptions(): FindOneOptions<TenantEntity> {
    return {}
  }

  protected getFindOptions(): FindOptions<TenantEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<TenantEntity> {
    return {}
  }
}
