import { Injectable } from '@/core/api/di/decorators'
import { TypeOrmBaseTenantRepository } from './_typeorm-base-tenant-repository'
import { EmployeeEntity } from '@/libs/domain/entities/tenant/employee.entity'
import { EmployeeRepository } from '@/libs/domain/repositories/tenant/employee.repository'
import { EntitySchema } from 'typeorm'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { employeeSchema } from '../../schemas/tenant/employee.schema'

@Injectable()
export class TypeOrmEmployeeRepository
  extends TypeOrmBaseTenantRepository<EmployeeEntity>
  implements EmployeeRepository
{
  protected getSchema(): EntitySchema<EmployeeEntity> {
    return employeeSchema
  }

  protected getRelations(): Relations<EmployeeEntity> {
    return {
      user: true,
    }
  }

  protected getFindOneOptions(): FindOneOptions<EmployeeEntity> {
    return {}
  }

  protected getFindOptions(): FindOptions<EmployeeEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<EmployeeEntity> {
    return {}
  }
}
