import { FormTemplateEntity } from '@/libs/domain/entities/tenant/form-template.entity'
import { TypeOrmBaseTenantRepository } from './_typeorm-base-tenant-repository'
import { FormTemplateRepository } from '@/libs/domain/repositories/tenant/form-template.repository'
import { EntitySchema } from 'typeorm'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { formTemplateSchema } from '../../schemas/tenant/form-template.schema'

export class TypeOrmFormTemplateRepository
  extends TypeOrmBaseTenantRepository<FormTemplateEntity>
  implements FormTemplateRepository
{
  protected getSchema(): EntitySchema<FormTemplateEntity> {
    return formTemplateSchema
  }

  protected getRelations(): Relations<FormTemplateEntity> {
    return {}
  }

  protected getFindOneOptions(): FindOneOptions<FormTemplateEntity> {
    return {}
  }

  protected getFindOptions(): FindOptions<FormTemplateEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<FormTemplateEntity> {
    return {}
  }
}
