import { Injectable } from '@/core/api/di/decorators'
import { OrderQuoteEntity } from '@/libs/domain/entities/tenant/order-quote-entity'
import { TypeOrmBaseTenantRepository } from './_typeorm-base-tenant-repository'
import { OrderQuoteRepository } from '@/libs/domain/repositories/tenant/order-quote.repository'
import { EntitySchema } from 'typeorm'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { ordeQuoteSchema } from '../../schemas/tenant/order-quote.schema'

@Injectable()
export class TypeOrmOrderQuoteRepository
  extends TypeOrmBaseTenantRepository<OrderQuoteEntity>
  implements OrderQuoteRepository
{
  protected getSchema(): EntitySchema<OrderQuoteEntity> {
    return ordeQuoteSchema
  }

  protected getRelations(): Relations<OrderQuoteEntity> {
    return {}
  }

  protected getFindOneOptions(): FindOneOptions<OrderQuoteEntity> {
    return {}
  }

  protected getFindOptions(): FindOptions<OrderQuoteEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<OrderQuoteEntity> {
    return {}
  }
}
