import { EntitySchema } from 'typeorm'
import { Injectable } from '@/core/api/di/decorators'
import { PermissionRepository } from '@/libs/domain/repositories/tenant/permission.repository'
import { PermissionEntity } from '@/libs/domain/entities/tenant/permission.entity'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { permissionSchema } from '../../schemas/tenant/permission.schema'
import { TypeOrmBaseTenantRepository } from './_typeorm-base-tenant-repository'

@Injectable()
export class TypeOrmPermissionRepository
  extends TypeOrmBaseTenantRepository<PermissionEntity>
  implements PermissionRepository
{
  protected getSchema(): EntitySchema<PermissionEntity> {
    return permissionSchema
  }

  protected getRelations(): Relations<PermissionEntity> {
    return {}
  }

  protected getFindOneOptions(): FindOneOptions<PermissionEntity> {
    return {}
  }

  protected getFindOptions(): FindOptions<PermissionEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<PermissionEntity> {
    return {}
  }
}
