import { Injectable } from '@/core/api/di/decorators'
import { ShippingReceiverEntity } from '@/libs/domain/entities/tenant/shipping-receiver.entity'
import { ShippingReceiverRepository } from '@/libs/domain/repositories/tenant/shipping-receiver.repository'
import { TypeOrmBaseTenantRepository } from './_typeorm-base-tenant-repository'
import { EntitySchema } from 'typeorm'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { shippingReceiverSchema } from '../../schemas/tenant/shipping-receiver.schema'

@Injectable()
export class TypeOrmShippingReceiverRepository
  extends TypeOrmBaseTenantRepository<ShippingReceiverEntity>
  implements ShippingReceiverRepository
{
  protected getSchema(): EntitySchema<ShippingReceiverEntity> {
    return shippingReceiverSchema
  }

  protected getRelations(): Relations<ShippingReceiverEntity> {
    return {}
  }

  protected getFindOneOptions(): FindOneOptions<ShippingReceiverEntity> {
    return {}
  }

  protected getFindOptions(): FindOptions<ShippingReceiverEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<ShippingReceiverEntity> {
    return {}
  }
}
