import { Injectable } from '@/core/api/di/decorators'
import { TypeOrmBaseTenantRepository } from './_typeorm-base-tenant-repository'
import { TransportCompanyEntity } from '@/libs/domain/entities/tenant/transport-company.entity'
import { TransportCompanyRepository } from '@/libs/domain/repositories/tenant/transport-company.repository'
import { EntitySchema } from 'typeorm'
import {
  FindCriteriaOptions,
  FindOneOptions,
  FindOptions,
  Relations,
} from '../typeorm-criteria-parser'
import { transportCompanySchema } from '../../schemas/tenant/transport-company.schema'

@Injectable()
export class TypeOrmTransportCompanyRepository
  extends TypeOrmBaseTenantRepository<TransportCompanyEntity>
  implements TransportCompanyRepository
{
  protected getSchema(): EntitySchema<TransportCompanyEntity> {
    return transportCompanySchema
  }

  protected getRelations(): Relations<TransportCompanyEntity> {
    return {}
  }

  protected getFindOneOptions(): FindOneOptions<TransportCompanyEntity> {
    return {}
  }

  protected getFindOptions(): FindOptions<TransportCompanyEntity> {
    return {}
  }

  protected getFindCriteriaOptions(): FindCriteriaOptions<TransportCompanyEntity> {
    return {}
  }
}
