import { BaseMasterEntity } from '@/libs/domain/entities/master/_base-master.entity'
import { EntitySchema, EntitySchemaOptions } from 'typeorm'

// divide in metatenant/master schema && one schema/ per tenant
// TODO: generate schema tenant_name by cross env or
export class BaseMasterEntitySchema<T extends BaseMasterEntity> extends EntitySchema<T> {
  constructor({ ...options }: EntitySchemaOptions<T>) {
    super({
      ...options,
      schema: 'master',
      columns: {
        ...options.columns,
        id: {
          type: 'uuid',
          generated: 'uuid',
          primary: true,
        },
        createdAt: {
          type: 'timestamptz',
          precision: 3,
          createDate: true,
        },
        updatedAt: {
          type: 'timestamptz',
          precision: 3,
          updateDate: true,
        },
      },
    })
  }
}
