import { ShippingReceiverEntity } from '@/libs/domain/entities/tenant/shipping-receiver.entity'
import { BaseTenantEntitySchema } from './_base-tenant-schema'

export const shippingReceiverSchema = new BaseTenantEntitySchema<ShippingReceiverEntity>({
  name: 'shippingReceiver',
  columns: {
    rut: {
      type: String,
    },
    firstName: {
      type: String,
    },
    lastName: {
      type: String,
    },
  },
  relations: {
    shipping: {
      target: 'shipping',
      type: 'one-to-one',
      joinColumn: true,
    },
  },
})
