import { container } from '@/core/api/di/container'

import { logger } from '@/libs/domain/logger'
import { appDataSource } from '../app-data-source'
import { DevSeeder } from './dev.seeder'
import { ProdSeeder } from './prod.seeder'

export const mainSeeder = async () => {
  try {
    await appDataSource.initialize()

    if (process.env.NODE_ENV === 'development') {
      await container.get(DevSeeder).run()
    }
    if (process.env.NODE_ENV === 'production') {
      await container.get(ProdSeeder).run()
    }
  } catch (error) {
    logger.debug('seeder error', error)
  }
  await appDataSource.destroy()
  process.exit()
}

mainSeeder()
